#include mc30p6080.inc

;i equ 0x10
Num1 equ 0x10
Num2 equ 0x11
Num3 equ 0x13

Rom_Data   	equ	0x12

   	   	
        org     0x00   	   	;ʼַ
        goto    start  	   	;
        
        org    	0x08   	   	;жϵַ
inte:  	
        NOP 
   	    retie  	   	   	   	;жϷ
       
start:
   	    bclr   	INTECON,7  	   	;رж

        movai   0x00
        movra   P1  
        movra   P0         
   	   	movra  	DDR0
   	   	movra  	DDR1   	   	   	;1:input 0:output
   	   	
   	   	movai  	0xff
   	   	movra  	PDCON  	   	   	;0:Effective 1:invalid
   	   	movra  	PUCON
        

   	   	movai  	0x40
       	movra  	FSR
       	movai  	48
       	movra  	0x07
       	decr   	FSR
       	clrr   	INDF
       	djzr   	0x07
       	goto   	$-3
     ;     	clrr   	INDF
       	clrr   	0x07
   	   	
   	   	   	   	movai  	0
   	   	   	   	movra Num1
   	   	   	   	movra Num2
   	   	   	   	movra Rom_Data

   	 ;     	bset   	INTECON,7  	   	;ж
main_loop:
   	   	   	   	
   	   	   	   	movai  	0
   	   	   	   	movra Num1
   	   	   	   	movra Num2
   	   	   	   	
Next_:     	   	   	   	
   	   	   	   	incr Num1
   	   	   	   	JBCLR Z
   	   	   	   	incr Num2
   	   	   	   	MOVAR  	Num2
   	   	   	   	MOVRA  	Num3
   	   	   	   	djzr   	Num3
   	   	   	   	goto   	Next_2
OK_M:  	   	   	 
   	   	   	   	   	   	   	   	MOVAI  	0XFF
   	   	   	   	MOVRA  	P1     	
   	   	   	   	CALL    delay
   	   	   	   	MOVAI  	0X00
   	   	   	   	MOVRA  	P1 
   	   	   	   	CALL    delay
   	   	   	   	GOTO   	OK_M
   	   	   	   	
   	   	
Next_2:    	   	   	   	
   	   	   	   	movar Num1
   	   	   	   	CALL Test_Tab_1 
   	   	   	   	movra Rom_Data
   	   	   	   	
   	   	   	   	rsubar Num1	
   	   	   	   	JBCLR Z
   	   	   	   	goto OK
   	   	   	   	goto NG
OK:    	   	   	   	
   	   	   	   	movar Num1
   	   	   	   	CALL Test_Tab_2
   	   	   	   	movra Rom_Data
   	   	   	   	rsubar Num1	
   	   	   	   	JBCLR Z
   	   	   	   	goto Next_

NG:    	   	   	   	
   	   	   	   	MOVAI  	0X00
   	   	   	   	MOVRA  	P1
   	   	   	   	GOTO   	$
   	   	   	   	
   	   	

   	   ;   	  movai 9
   	   ;   	  CALL Test_Tab_1 
        ;  movra   	 i
   	   	
       ; comr      	P1
        goto   main_loop
        
delay: 
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        return   
        
       	   	   	   	org 0x1fe
Test_Tab_2: 
   	   	   	   	ADDRA PCL
        retai 0x00
        retai 0x01
        retai 0x02
        retai 0x03
        retai 0x04
        retai 0x05
        retai 0x06
        retai 0x07
        retai 0x08
        retai 0x09
        retai 0x0a
        retai 0x0b
        retai 0x0c
        retai 0x0d
        retai 0x0e
        retai 0x0f
        retai 0x10
        retai 0x11
        retai 0x12
        retai 0x13
        retai 0x14
        retai 0x15
        retai 0x16
        retai 0x17
        retai 0x18
        retai 0x19
        retai 0x1a
        retai 0x1b
        retai 0x1c
        retai 0x1d
        retai 0x1e
        retai 0x1f
        retai 0x20
        retai 0x21
        retai 0x22
        retai 0x23
        retai 0x24
        retai 0x25
        retai 0x26
        retai 0x27
        retai 0x28
        retai 0x29
        retai 0x2a
        retai 0x2b
        retai 0x2c
        retai 0x2d
        retai 0x2e
        retai 0x2f
        retai 0x30
        retai 0x31
        retai 0x32
        retai 0x33
        retai 0x34
        retai 0x35
        retai 0x36
        retai 0x37
        retai 0x38
        retai 0x39
        retai 0x3a
        retai 0x3b
        retai 0x3c
        retai 0x3d
        retai 0x3e
        retai 0x3f
        retai 0x40
        retai 0x41
        retai 0x42
        retai 0x43
        retai 0x44
        retai 0x45
        retai 0x46
        retai 0x47
        retai 0x48
        retai 0x49
        retai 0x4a
        retai 0x4b
        retai 0x4c
        retai 0x4d
        retai 0x4e
        retai 0x4f
        retai 0x50
        retai 0x51
        retai 0x52
        retai 0x53
        retai 0x54
        retai 0x55
        retai 0x56
        retai 0x57
        retai 0x58
        retai 0x59
        retai 0x5a
        retai 0x5b
        retai 0x5c
        retai 0x5d
        retai 0x5e
        retai 0x5f
        retai 0x60
        retai 0x61
        retai 0x62
        retai 0x63
        retai 0x64
        retai 0x65
        retai 0x66
        retai 0x67
        retai 0x68
        retai 0x69
        retai 0x6a
        retai 0x6b
        retai 0x6c
        retai 0x6d
        retai 0x6e
        retai 0x6f
        retai 0x70
        retai 0x71
        retai 0x72
        retai 0x73
        retai 0x74
        retai 0x75
        retai 0x76
        retai 0x77
        retai 0x78
        retai 0x79
        retai 0x7a
        retai 0x7b
        retai 0x7c
        retai 0x7d
        retai 0x7e
        retai 0x7f
        retai 0x80
        retai 0x81
        retai 0x82
        retai 0x83
        retai 0x84
        retai 0x85
        retai 0x86
        retai 0x87
        retai 0x88
        retai 0x89
        retai 0x8a
        retai 0x8b
        retai 0x8c
        retai 0x8d
        retai 0x8e
        retai 0x8f
        retai 0x90
        retai 0x91
        retai 0x92
        retai 0x93
        retai 0x94
        retai 0x95
        retai 0x96
        retai 0x97
        retai 0x98
        retai 0x99
        retai 0x9a
        retai 0x9b
        retai 0x9c
        retai 0x9d
        retai 0x9e
        retai 0x9f
        retai 0xa0
        retai 0xa1
        retai 0xa2
        retai 0xa3
        retai 0xa4
        retai 0xa5
        retai 0xa6
        retai 0xa7
        retai 0xa8
        retai 0xa9
        retai 0xaa
        retai 0xab
        retai 0xac
        retai 0xad
        retai 0xae
        retai 0xaf
        retai 0xb0
        retai 0xb1
        retai 0xb2
        retai 0xb3
        retai 0xb4
        retai 0xb5
        retai 0xb6
        retai 0xb7
        retai 0xb8
        retai 0xb9
        retai 0xba
        retai 0xbb
        retai 0xbc
        retai 0xbd
        retai 0xbe
        retai 0xbf
        retai 0xc0
        retai 0xc1
        retai 0xc2
        retai 0xc3
        retai 0xc4
        retai 0xc5
        retai 0xc6
        retai 0xc7
        retai 0xc8
        retai 0xc9
        retai 0xca
        retai 0xcb
        retai 0xcc
        retai 0xcd
        retai 0xce
        retai 0xcf
        retai 0xd0
        retai 0xd1
        retai 0xd2
        retai 0xd3
        retai 0xd4
        retai 0xd5
        retai 0xd6
        retai 0xd7
        retai 0xd8
        retai 0xd9
        retai 0xda
        retai 0xdb
        retai 0xdc
        retai 0xdd
        retai 0xde
        retai 0xdf
        retai 0xe0
        retai 0xe1
        retai 0xe2
        retai 0xe3
        retai 0xe4
        retai 0xe5
        retai 0xe6
        retai 0xe7
        retai 0xe8
        retai 0xe9
        retai 0xea
        retai 0xeb
        retai 0xec
        retai 0xed
        retai 0xee
        retai 0xef
        retai 0xf0
        retai 0xf1
        retai 0xf2
        retai 0xf3
        retai 0xf4
        retai 0xf5
        retai 0xf6
        retai 0xf7
        retai 0xf8
        retai 0xf9
        retai 0xfa
        retai 0xfb
        retai 0xfc
        retai 0xfd
        retai 0xfe
        retai 0xff
   	   	   	   	org 0x2ff
Test_Tab_1: 
   	   	   	   	ADDRA PCL
        retai 0x00
        retai 0x01
        retai 0x02
        retai 0x03
        retai 0x04
        retai 0x05
        retai 0x06
        retai 0x07
        retai 0x08
        retai 0x09
        retai 0x0a
        retai 0x0b
        retai 0x0c
        retai 0x0d
        retai 0x0e
        retai 0x0f
        retai 0x10
        retai 0x11
        retai 0x12
        retai 0x13
        retai 0x14
        retai 0x15
        retai 0x16
        retai 0x17
        retai 0x18
        retai 0x19
        retai 0x1a
        retai 0x1b
        retai 0x1c
        retai 0x1d
        retai 0x1e
        retai 0x1f
        retai 0x20
        retai 0x21
        retai 0x22
        retai 0x23
        retai 0x24
        retai 0x25
        retai 0x26
        retai 0x27
        retai 0x28
        retai 0x29
        retai 0x2a
        retai 0x2b
        retai 0x2c
        retai 0x2d
        retai 0x2e
        retai 0x2f
        retai 0x30
        retai 0x31
        retai 0x32
        retai 0x33
        retai 0x34
        retai 0x35
        retai 0x36
        retai 0x37
        retai 0x38
        retai 0x39
        retai 0x3a
        retai 0x3b
        retai 0x3c
        retai 0x3d
        retai 0x3e
        retai 0x3f
        retai 0x40
        retai 0x41
        retai 0x42
        retai 0x43
        retai 0x44
        retai 0x45
        retai 0x46
        retai 0x47
        retai 0x48
        retai 0x49
        retai 0x4a
        retai 0x4b
        retai 0x4c
        retai 0x4d
        retai 0x4e
        retai 0x4f
        retai 0x50
        retai 0x51
        retai 0x52
        retai 0x53
        retai 0x54
        retai 0x55
        retai 0x56
        retai 0x57
        retai 0x58
        retai 0x59
        retai 0x5a
        retai 0x5b
        retai 0x5c
        retai 0x5d
        retai 0x5e
        retai 0x5f
        retai 0x60
        retai 0x61
        retai 0x62
        retai 0x63
        retai 0x64
        retai 0x65
        retai 0x66
        retai 0x67
        retai 0x68
        retai 0x69
        retai 0x6a
        retai 0x6b
        retai 0x6c
        retai 0x6d
        retai 0x6e
        retai 0x6f
        retai 0x70
        retai 0x71
        retai 0x72
        retai 0x73
        retai 0x74
        retai 0x75
        retai 0x76
        retai 0x77
        retai 0x78
        retai 0x79
        retai 0x7a
        retai 0x7b
        retai 0x7c
        retai 0x7d
        retai 0x7e
        retai 0x7f
        retai 0x80
        retai 0x81
        retai 0x82
        retai 0x83
        retai 0x84
        retai 0x85
        retai 0x86
        retai 0x87
        retai 0x88
        retai 0x89
        retai 0x8a
        retai 0x8b
        retai 0x8c
        retai 0x8d
        retai 0x8e
        retai 0x8f
        retai 0x90
        retai 0x91
        retai 0x92
        retai 0x93
        retai 0x94
        retai 0x95
        retai 0x96
        retai 0x97
        retai 0x98
        retai 0x99
        retai 0x9a
        retai 0x9b
        retai 0x9c
        retai 0x9d
        retai 0x9e
        retai 0x9f
        retai 0xa0
        retai 0xa1
        retai 0xa2
        retai 0xa3
        retai 0xa4
        retai 0xa5
        retai 0xa6
        retai 0xa7
        retai 0xa8
        retai 0xa9
        retai 0xaa
        retai 0xab
        retai 0xac
        retai 0xad
        retai 0xae
        retai 0xaf
        retai 0xb0
        retai 0xb1
        retai 0xb2
        retai 0xb3
        retai 0xb4
        retai 0xb5
        retai 0xb6
        retai 0xb7
        retai 0xb8
        retai 0xb9
        retai 0xba
        retai 0xbb
        retai 0xbc
        retai 0xbd
        retai 0xbe
        retai 0xbf
        retai 0xc0
        retai 0xc1
        retai 0xc2
        retai 0xc3
        retai 0xc4
        retai 0xc5
        retai 0xc6
        retai 0xc7
        retai 0xc8
        retai 0xc9
        retai 0xca
        retai 0xcb
        retai 0xcc
        retai 0xcd
        retai 0xce
        retai 0xcf
        retai 0xd0
        retai 0xd1
        retai 0xd2
        retai 0xd3
        retai 0xd4
        retai 0xd5
        retai 0xd6
        retai 0xd7
        retai 0xd8
        retai 0xd9
        retai 0xda
        retai 0xdb
        retai 0xdc
        retai 0xdd
        retai 0xde
        retai 0xdf
        retai 0xe0
        retai 0xe1
        retai 0xe2
        retai 0xe3
        retai 0xe4
        retai 0xe5
        retai 0xe6
        retai 0xe7
        retai 0xe8
        retai 0xe9
        retai 0xea
        retai 0xeb
        retai 0xec
        retai 0xed
        retai 0xee
        retai 0xef
        retai 0xf0
        retai 0xf1
        retai 0xf2
        retai 0xf3
        retai 0xf4
        retai 0xf5
        retai 0xf6
        retai 0xf7
        retai 0xf8
        retai 0xf9
        retai 0xfa
        retai 0xfb
        retai 0xfc
        retai 0xfd
        retai 0xfe
        retai 0xff

        end
