/******************************************************************************
;  *   	@ͺ	   	   	   	  : MC30P6080
;  *   	@             : 2021.08.04
;  *   	@˾/ 	   	   	  : SINOMCU-FAE
;  *   	@΢֧       : 2048615934
;  *   	@΢           : http://www.sinomcu.com/
;  *   	@Ȩ                 : 2021 SINOMCU˾Ȩ.
;  *----------------------  ---------------------------------
;  *   	   	   	   	ʱʹȫֱ	               	
******************************************************************************/
#include "mc30-common.h"
/*****************************************************************
;       Function : Define variables
;*****************************************************************/
#ifndef USER
#define USER

uchar ABuf,StatusBuf;

#define u8  unsigned char
#define u16 unsigned int
#define u32 unsigned long int

u8 i,R_count;
u8 ucErrTime;
u8 temp;
unsigned char len, receive;
#define IIC_ADDR_Def 0xA0
//==============IO Define===============
#define SDA_IN     	{DDR17 = 1; P17PU=0;}
#define SDA_OUT    	DDR17 = 0; 
#define IIC_SCL P00D
#define IIC_SDA P17D
#define READ_SDA P17D

//=============Global Variable ===========
volatile u16 Timer0_CNT;   	   	   	//T0ʱۼӼ  ʱָ
u8 temp_IIC;
void IIC_Start(void);  	   	   	   	   	   	   	   	   	 //IICʼź
void IIC_Stop(void);   	   	   	   	   	   	   	   	   	 //IICֹͣź
void IIC_Send_Byte(u8 txd);	   	   	   	   	   	   	   	 //IICһֽ
u8 IIC_Read_Byte(unsigned char ack);   	   	   	   	   	 //IICȡһֽ
u8 IIC_Wait_Ack(void); 	   	   	   	   	   	   	   	   	 //IICȴACKź
void IIC_Ack(void);	   	   	   	   	   	   	   	   	   	 //IICACKź
void IIC_NAck(void);   	   	   	   	   	   	   	   	   	 //IICACKź
u8 AT24CXX_ReadOneByte(u8 ReadAddr);   	   	   	   	   	 //ַָȡһֽ
void AT24CXX_WriteOneByte(u8 WriteAddr, u8 DataToWrite); //ַָдһֽ

void Delayms(uchar ms);
void delay_us(u8 num);

void InitSys(void);
void C_RAM(void);
void ConfigSet(void);

//============Define  Flag=================
//============Define  Flag=================
typedef union
{
   	unsigned char byte;
   	struct
   	{
   	   	u8 bit0 : 1;
   	   	u8 bit1 : 1;
   	   	u8 bit2 : 1;
   	   	u8 bit3 : 1;
   	   	u8 bit4 : 1;
   	   	u8 bit5 : 1;
   	   	u8 bit6 : 1;
   	   	u8 bit7 : 1;
   	} bits;
}Flag; 	
volatile Flag Flag1;

//#define  	T0_Scan_Key	   	   	    Flag1.bits.bit0	   	 // ɨ־λ
//
//#define     KEY1_Up_F	   	   	   	Flag1.bits.bit1	   	//1ֱ־λ

#define Timer0_5000ms_Flag 	Flag1.bits.bit2
#endif


/**************************** end of file *********************************************/