/******************************************************************************
;  *   	@ͺ				  : MC30P6080
;  *   	@             : 2021.08.04
;  *   	@˾/			  : SINOMCU-FAE
;  *   	@΢֧       : 2048615934
;  *   	@΢           : http://www.sinomcu.com/
;  *   	@Ȩ                 : 2021 SINOMCU˾Ȩ.
;  *----------------------ժҪ---------------------------------
;  *					T0 2S P12תһΣ
******************************************************************************/
 
#include "user.h"

/************************************************
;  *    @          : CLR_RAM
;  *    @˵            : RAM
;  *    @        :
;  *    @ز        :
;  ***********************************************/
void CLR_RAM(void)
{      	       	
__asm
	movai  	0x40
	movra  	FSR
	movai  	48
	movra  	0x07
	decr   	FSR
	clrr   	INDF
	djzr   	0x07
	goto   	$-3
	clrr   	0x07
__endasm;          	
}
/************************************************
;  *    @            : IO_Init
;  *    @˵              : IOʼ
;  *    @          :
;  *    @ز          :
;  ***********************************************/
void IO_Init(void)
{
   	P0 = 0x00; 	   	   	   	
   	P1 = 0x00;
   	DDR0 = 0x00;   	//1:input 0:output
   	DDR1 = 0x00;       	   	
   	PDCON = 0xff;  	//0:Effective 1:invalid
   	PUCON = 0xff;  	//0:Effective 1:invalid 
}
/************************************************
;  *    @            : TIMER0_RTC_Init
;  *    @˵              : 
;  *    @          :
;  *    @ز          :
;  ***********************************************/
void TIMER0_RTC_Init(void)
{
	TBS=1; 	   	   	//RTCΪT0ʱԴ
	T0CR=0x07;     //ʱΪCPUʱ    ʱ256Ƶ  
	// T0CNT=131; 	   	//  256  2s
	T0IE=1;
}
/************************************************
;  *    @            : Sys_Init
;  *    @˵              : ϵͳʼ
;  *    @          :
;  *    @ز          :
;  ***********************************************/
void  Sys_Init(void)
{
   	GIE = 0;
   	CLR_RAM();
	IO_Init();
   	TIMER0_RTC_Init();
   	GIE  = 1;        
}
void main (void)
{    
   	Sys_Init();
   	while(1)
   	{  	 
   	   	 GIE = 0;		//رж
   	   	 Nop();
   	   	 Nop();
   	   	 Stop();			//
   	   	 Nop();
   	   	 Nop();
   	   	 GIE = 1; 			//ж
   	   	 P12D=!P12D;   	   	
   	}   
}
/************************************************
;  *    @            : interrupt
;  *    @˵              : жϺ
;  *    @          :
;  *    @ز          :
;  ***********************************************/   
void int_isr(void)__interrupt
{
__asm
   	movra   _abuf
    swapar  _STATUS
    movra   _statusbuf
__endasm;

    if((T0IF)&&(T0IE))
    {
   	   	T0IF=0;
    }

__asm
    swapar  _statusbuf
    movra   _STATUS
    swapr   _abuf
    swapar  _abuf
__endasm;
}


/**************************** end of file *********************************************/