/******************************************************************************
;  *   	@ͺ	   	   	   	  : MC30P6080
;  *   	@             : 2021.08.04
;  *   	@˾/ 	   	   	  : SINOMCU-FAE
;  *   	@΢֧       : 2048615934
;  *   	@΢           : http://www.sinomcu.com/
;  *   	@Ȩ                 : 2021 SINOMCU˾Ȩ.
;  *----------------------ժҪ---------------------------------
;  *   	   	   	   	   	P00	   	SCL
   	   	   	   	   	   	P17	   	SDA
   	   	   	   	   	   	ϵд룬ٶ P10ߣ֮ͣ
   	   	   	   	   	   	P15  1msת
   	   	   	   	   	   	demoֻʾ˳ջѾʹ56080 5ע⺯ã
   	   	   	   	   	   	ʹջ⣬޸IICٶջȥʱõȵȣ
   	   	   	   	   	   	Χû裬ʹڲ20Kʱ,עIICٶȣ10K£
******************************************************************************/

#include "mc30p6080.h"
#include "user.h"

#define IIC_Nop_Num	   	100  //ٶԼ5k
/************************************************
;  *    @            : Delayms  ûʵʲ
;  *    @˵              : ʱ
;  *    @          : ms
;  *    @ز          :
;  ***********************************************/
void Delayms(uchar ms)
{
   	i = 0;
   	while (ms--)
   	{
   	   	for (i = 0; i < 251; i++)
   	   	{
   	   	   	;
   	   	}
   	}
}
void delay_us(u8 num)  	   	   	//ûʵʲ
{
   	for (; num > 0; num--)
   	{
   	   	Nop();
   	 //    	Nop();
   	 //    	Nop();
   	 //    	Nop();
   	}
}
//IICʼź
void IIC_Start(void)
{
   	SDA_OUT//sda
   	IIC_SDA = 1;
   	IIC_SCL = 1;
   	delay_us(IIC_Nop_Num);
   	IIC_SDA = 0; //START:when CLK is high,DATA change form high to low
   	delay_us(IIC_Nop_Num);
   	IIC_SCL = 0; //ǯסI2Cߣ׼ͻ
}
//IICֹͣź
void IIC_Stop(void)
{
   	SDA_OUT //sda
   	IIC_SCL = 0;
   	IIC_SDA = 0; //STOP:when CLK is high DATA change form low to high
   	delay_us(IIC_Nop_Num);
   	IIC_SCL = 1;
   	IIC_SDA = 1; //I2C߽ź
   	delay_us(IIC_Nop_Num);
}
//ȴӦźŵ
//ֵ1Ӧʧ
//        0Ӧɹ
u8 IIC_Wait_Ack(void)
{
   	ucErrTime = 0;
   	SDA_IN 	   	   	//SDAΪ
   	IIC_SDA = 1;
   	delay_us(IIC_Nop_Num);
   	IIC_SCL = 1;
   	delay_us(IIC_Nop_Num);
   	while (READ_SDA)
   	{
   	   	ucErrTime++;
   	   	if (ucErrTime > 250)
   	   	{
   	   	   	IIC_Stop();
   	   	   	return 1;
   	   	}
   	}
   	IIC_SCL = 0; //ʱ0
   	return 0;
}
//ACKӦ
void IIC_Ack(void)
{
   	IIC_SCL = 0;
   	SDA_OUT
   	IIC_SDA = 0;
   	delay_us(IIC_Nop_Num);
   	IIC_SCL = 1;
   	delay_us(IIC_Nop_Num);
   	IIC_SCL = 0;
}
//ACKӦ
void IIC_NAck(void)
{
   	IIC_SCL = 0;
   	SDA_OUT
   	IIC_SDA = 1;
   	delay_us(IIC_Nop_Num);
   	IIC_SCL = 1;
   	delay_us(IIC_Nop_Num);
   	IIC_SCL = 0;
}
//IICһֽ
//شӻӦ
//1Ӧ
//0Ӧ
void IIC_Send_Byte(u8 txd)
{
   	SDA_OUT
   	IIC_SCL = 0; //ʱӿʼݴ
   	for (R_count = 0; R_count < 8; R_count++)
   	{
   	   	IIC_SDA = (txd & 0x80) >> 7;
   	   	txd <<= 1;
   	     delay_us(IIC_Nop_Num);
   	   	IIC_SCL = 1;
        if((IIC_SDA==1 )&& (R_count==7)) 
         {SDA_IN } //һλΪ1ʱʹЧ1ͨѶڳͻ
   	   	delay_us(IIC_Nop_Num);
   	   	IIC_SCL = 0;
   	}
}
//1ֽڣack=1ʱACKack=0nACK
u8 IIC_Read_Byte(unsigned char ack)
{
   	SDA_IN     	   	   	//SDAΪ
   	receive=0;
   	for (len = 0; len < 8; len++)
   	{
   	   	IIC_SCL = 0;
   	   	delay_us(IIC_Nop_Num);
   	   	IIC_SCL = 1;
   	   	receive <<= 1;
   	   	if (READ_SDA)
   	   	{
   	   	   	receive++;
   	   	}
   	   	delay_us(IIC_Nop_Num);
   	}
   	if (!ack)
   	   	IIC_NAck(); //nACK
   	else
   	   	IIC_Ack(); //ACK
   	return receive;
}
//AT24CXXַָһ
//ReadAddr:ʼĵַ
//ֵ  :
u8 AT24CXX_ReadOneByte(u8 ReadAddr)
{
   	IIC_Start();
   	IIC_Send_Byte(IIC_ADDR_Def); //ַ,д
   	IIC_Wait_Ack();
   	IIC_Send_Byte(ReadAddr); //͵͵ַ
   	IIC_Wait_Ack();
   	IIC_Start();
   	IIC_Send_Byte(IIC_ADDR_Def+1); //ģʽ
   	IIC_Wait_Ack();
   	temp = IIC_Read_Byte(0);
   	IIC_Stop(); //һֹͣ
   	return temp;
}
//AT24CXXַָдһ
//WriteAddr  :дݵĿĵַ
//DataToWrite:Ҫд
void AT24CXX_WriteOneByte(u8 WriteAddr, u8 DataToWrite)
{
   	IIC_Start();
   	IIC_Send_Byte(IIC_ADDR_Def); //ַ0XA0,д
   	IIC_Wait_Ack();
   	IIC_Send_Byte(WriteAddr); //͵͵ַ
   	IIC_Wait_Ack();
   	IIC_Send_Byte(DataToWrite); //ֽ
   	IIC_Wait_Ack();
   	IIC_Stop(); //һֹͣ
   	   	   	   	//     	delay_ms(10);  	   	   	   	   	//EEPROMдٶȱȽӳ
}
/************************************************
;  *    @          : CLR_RAM
;  *    @˵            : RAM
;  *    @        :
;  *    @ز        :
;  ***********************************************/
void C_RAM(void)
{
   	__asm
   	movai 0x40 
   	movra FSR
   	movai 48 
   	movra 0x07 
   	decr FSR
   	clrr INDF
   	djzr 0x07 
   	goto $ -3;
  ;    	clrr INDF
   	clrr 0x07 
   	__endasm;
}
/************************************************
;  *    @            : ConfigSet
;  *    @˵              : io  pwm  ʱ
;  *    @          :
;  *    @ز          :
;  ***********************************************/
void ConfigSet(void)
{
   	P0 = 0x00;
   	P1 = 0x00;
   	DDR0 = 0x00; //1:input 0:output
   	DDR1 = 0x00;
   	PUCON = 0xff; //0:Effective 1:invalid
   	PDCON = 0xff;  //0:Effective 1:invalid

   	/*****************ʱ0**************************************/
   	T0CR = 0x05; //ʱΪCPUʱ    ʱ64Ƶ  1ms
   	T0CNT = 256 - 125;
   	T0IE = 1;

   	// /*****************ʱ1**************************************/

   	//             	T1CR=0x80;
   	// //   //     	PWMCR=0x00;

   	//             	T1LOAD=99;     	   	   	//12.5us
   	//             	T1CNT=99;
   	//           //    	T1IE=1;

   	// /*****************PWM**************************************/
   	//             	T1CR=0xc0;
   	//         	   	PWMCR0=0x63;
   	//         	  //   	PWMCR0=0x73;   	   	//Ƶ
   	//             	PWMCR1=0x03;
   	//    //   	   	   	T1CNT=100;
   	//    //           	T1LOAD=100;

   	//             	T1DATA=10;
   	//             	T1DATB=20;
   	//             	T1DATC=30;
   	//             	T1DATD=40;
   	// /****************ж**************************************/
   	//     	   	 DDR1 = 0x80;      	   	//P17  in
   	//     	   	 PUCON=0x7f;       	   	//P17
   	//     	   	 P1KBCR=0x80;      	   	   	//ʹP17ļжλ
   	//     	// 	KBIE=1
}

/************************************************
;  *    @            : Sys_Init
;  *    @˵              : ϵͳʼ
;  *    @          :
;  *    @ز          :
;  ***********************************************/
void InitSys(void)
{
   	GIE = 0;
   	C_RAM();
   	ConfigSet();
   	GIE  = 1;
}
/************************************************
;  *    @            : main
;  *    @˵              : 
;  *    @          :
;  *    @ز          :
;  ***********************************************/
u8 IIC_Data[8];
void main(void)
{
   	InitSys();
   	AT24CXX_WriteOneByte(5, 0x01);
   	Delayms(10);
   	AT24CXX_WriteOneByte(6, 0x02);
   	Delayms(10);
   	AT24CXX_WriteOneByte(7, 0x04);
   	Delayms(10);
   	AT24CXX_WriteOneByte(8, 0x08);
   	Delayms(10);
   	AT24CXX_WriteOneByte(9, 0x10);
   	Delayms(10);
   	AT24CXX_WriteOneByte(10, 0x11);
   	Delayms(10);
   	AT24CXX_WriteOneByte(11, 0x12);
   	Delayms(10);
   	AT24CXX_WriteOneByte(12, 0x14);
   	Delayms(10);
   	IIC_Data[0]=AT24CXX_ReadOneByte(5);
   	IIC_Data[1]=AT24CXX_ReadOneByte(6);
   	IIC_Data[2]=AT24CXX_ReadOneByte(7);
   	IIC_Data[3]=AT24CXX_ReadOneByte(8);
   	IIC_Data[4]=AT24CXX_ReadOneByte(9);
   	IIC_Data[5]=AT24CXX_ReadOneByte(10);
   	IIC_Data[6]=AT24CXX_ReadOneByte(11);
   	IIC_Data[7]=AT24CXX_ReadOneByte(12);
   	P16D=0;
   	while (1)
   	{
   	   	if((IIC_Data[0]==0x01)&&(IIC_Data[1]==0x02)&&(IIC_Data[2]==0x04))
   	   	{
   	   	   	if((IIC_Data[3]==0x08)&&(IIC_Data[4]==0x10)&&(IIC_Data[5]==0x11))
   	   	   	{
   	   	   	   	if((IIC_Data[6]==0x12)&&(IIC_Data[7]==0x14))   	   	   	   	
   	   	   	   	//demoʾʹ   ʵʿдһ
   	   	   	   	{
   	   	   	   	   	P10D=1;
   	   	   	   	}else P10D=0;
   	   	   	}else P10D=0;
   	   	}else P10D=0;
   	}
}

/************************************************
;  *    @            : interrupt
;  *    @˵              : жϺ
;  *    @          :
;  *    @ز          :
;  ***********************************************/
void int_isr(void) __interrupt
{
   	__asm 
   	movra _ABuf
   	swapar _STATUS
   	movra _StatusBuf
   	__endasm;

   	if ((T0IF) && (T0IE))
   	{
   	   	T0CNT = 256 - 125;
   	       	P15D = !P15D;

   	   	// Timer0_CNT++;
   	   	// if(Timer0_CNT>=5000)
   	   	// {
   	   	//     	Timer0_CNT=0;
   	   	//     	Timer0_5000ms_Flag=1;
   	   	// }
   	   	T0IF = 0;
   	}

   	//         	if(T1IF==1)
   	//         	{
   	//         	   	P11D=!P11D;
   	//         	   	T1IF=0;
   	//         	}

   	//         	if(INTIF==1)
   	//         	{
   	//         	   	P17D=!P17D;
   	//         	   	INTIF=0;
   	//         	}

   	//         	if(CMPIF==1)
   	//         	{
   	//
   	//         	}

   	__asm 
   	swapar _StatusBuf
   	movra _STATUS
   	swapr _ABuf
   	swapar _ABuf
   	__endasm;
}

/**************************** end of file *********************************************/