/******************************************************************************
;  *   	@ͺ				  : MC30P6080
;  *   	@             : 2021.08.04
;  *   	@˾/			  : SINOMCU-FAE
;  *   	@΢֧       : 2048615934
;  *   	@΢           : http://www.sinomcu.com/
;  *   	@Ȩ                 : 2021 SINOMCU˾Ȩ.
;  *----------------------  ---------------------------------
;  *   				ʱʹȫֱ	               	
******************************************************************************/
#ifndef USER
#define USER

#include "mc30-common.h"
#include "mc30p6080.h"

#define u8 unsigned char
#define u16 unsigned int
#define u32 unsigned long int
#define uint8_t  unsigned char
#define uint16_t unsigned int
#define uint32_t unsigned long int

u8 abuf;
u8 statusbuf;

//==============IO Define===============


//=============Global Variable ===========
volatile uint16_t timer0_count1;	   	   	//T0ʱۼӼ 

void Sys_Init(void);
void CLR_RAM(void);
void IO_Init(void);
void TIMER0_INT_Init(void);
void TIMER1_INT_Init(void);
void KBIE_Init(void);
//============Define  Flag=================
typedef union {
   	unsigned char byte;
   	struct
   	{
   	   	u8 bit0 : 1;
   	   	u8 bit1 : 1;
   	   	u8 bit2 : 1;
   	   	u8 bit3 : 1;
   	   	u8 bit4 : 1;
   	   	u8 bit5 : 1;
   	   	u8 bit6 : 1;
   	   	u8 bit7 : 1;
   	} bits;
}bit_flag;
volatile bit_flag flag1;

#define    FLAG_TIMER0_5000ms   	flag1.bits.bit0	   	




#endif

/**************************** end of file *********************************************/
